<%@ Page Language="C#" AutoEventWireup="true" ValidateRequest="false" MaintainScrollPositionOnPostback="false"  %>

<html>
<head runat="server" id="hdhead">
<title> Color Pallete </title>
<script>

var bg_col       = 'white';
var border_color = '#330033';

document.write('<style>');
document.write('.bar{position:absolute;border-style:solid;border-width:1;border-color:'+border_color+';font-family:verdana;font-size:0;color:'+border_color+';}');
document.write('.slider{position:absolute;border-style:solid;border-width:1;background:'+bg_col+';border-color:'+bg_col+';font-family:verdana;font-size:0;cursor:hand;}');
document.write('.pic{position:absolute;font-family:verdana;font-size:0;}');
document.write('.ip{border:1 solid '+border_color+';color:'+border_color+';font-family:verdana;font-size:10;background:'+bg_col+';cursor:default;}');
document.write('.pallet{border:1 solid '+border_color+';color:'+border_color+';font-family:verdana;font-size:10;}');
document.write('.colBox{border:1 solid '+border_color+';font-family:verdana;font-size:0;height:100;width:100%;}');
document.write('</style>');

// *****************************************************************************//
// Decimal to Hex converter
// Covert decimal to hex number, return hex num as string
function toHex(hex)
 {
  var hex_val = hex.toString(16).toUpperCase();
    if (hex_val.length == 1)
	 {
	  var temp = "0" + hex_val;
	  hex_val = temp;
	 }
  return hex_val;
 }

// *****************************************************************************//
// Hex to Decimal converter
// Covert decimal to hex number, return dec num as string
function toDec(dec) 
 {
  dec_val = parseInt(dec.toUpperCase(),16);
  return dec_val;
 }


// *****************************************************************************//
// Easy Sliders
var slideObj,slideParent,slideHmin,slideHmax,slideVmin,slideVmax;

function slideDo()
 {
  if (event.button==1)
   {
    if(slideObj!=null)
     {
	  if(slideObj.type=='drag')
	   {
        if(slideParent.type=='horizontal')
		 {
          if ((event.clientX  - slider_x >= slideHmin) && (event.clientX - slider_x <= slideHmax))
           {
            slideObj.style.left=event.clientX - slider_x;
			slideVal(parseInt(eval('slideObj.style.left')));
           }
		 }
        if(slideParent.type=='vertical')
		 {
          if ((event.clientY  - slider_y >= slideVmin) && (event.clientY - slider_y <= slideVmax)) 
           {
            slideObj.style.top=event.clientY - slider_y;
			slideVal(parseInt(eval('slideObj.style.top')));
           }
		 }
        return false;
	   }
     }
   }
 }

function slideGet()
 {
  slideObj=event.srcElement;
  slideParent=eval(slideObj.parentElement);
  slider_x = (event.clientX-slideObj.style.pixelLeft);
  slider_y = (event.clientY-slideObj.style.pixelTop);
  slideHmin = 0;
  slideVmin = 0;
  if(slideObj.className=='pic')
   {
    slideHmax = parseInt(slideParent.style.width)-(parseInt(slideObj.style.width));
	slideVmax = parseInt(slideParent.style.height)-(parseInt(slideObj.style.height));
   }
  else
   {
    slideHmax = parseInt(slideParent.style.width)-(parseInt(slideObj.style.width)+(parseInt(document.styleSheets[0].rules[1].style.borderWidth)*2));
    slideVmax = parseInt(slideParent.style.height)-(parseInt(slideObj.style.height)+(parseInt(document.styleSheets[0].rules[1].style.borderWidth)*2));
   }
 }

function slideDrop()
 {
  slideObj=null;
 }


function calculateRGBval() 
 {
  if (window.event.button == 1)
   {
   var r=0,g=0,b=0,pallet_sat,pallet_val;
	h = event.srcElement.offsetHeight;
	y = event.offsetY;
	if(event.srcElement.id=="colors")
	 {
      pallet_hue = 360 * event.offsetX / event.srcElement.offsetWidth;
	  if (y > h/2) 
	   {
	    pallet_sat = 1.0;
	    pallet_val = 2 * (h - y) / h;
	   }
	  else
	   {
	    pallet_sat = y / (h/2);
	    pallet_val = 1.0;
	   }
      pallet_hue /= 60;
	  hue = Math.floor(pallet_hue);
	  f = pallet_hue - hue;
	  p = pallet_val * ( 1 - pallet_sat );
	  q = pallet_val * ( 1 - pallet_sat * f );
	  t = pallet_val * ( 1 - pallet_sat * ( 1 - f ) );
	  switch( hue ) 
	   {
	    case 0:r = pallet_val;g = t;b = p;break;
	    case 1:r = q;g = pallet_val;b = p;break;
	    case 2:r = p;g = pallet_val;b = t;break;
	    case 3:r = p;g = q;b = pallet_val;break;
	    case 4:r = t;g = p;b = pallet_val;break;
	    case 5:r = pallet_val;g = p;b = q;break;
	   }
	   r=Math.round(255*r);
	   g=Math.round(255*g);
	   b=Math.round(255*b);
	  }
	 else
	  {
	   var greycol = Math.ceil(255 * event.offsetX / event.srcElement.offsetWidth);
	   r=greycol;g=greycol;b=greycol;
	  }
	showColors(r,g,b);
  }
}

function slideVal(val)
 {
  if(slideParent.id=='R'){Rcol.value=val;}
  if(slideParent.id=='G'){Gcol.value=val;}
  if(slideParent.id=='B'){Bcol.value=val;}
  showColors(parseInt(Rcol.value),parseInt(Gcol.value),parseInt(Bcol.value));
 }

function showColors(r,g,b)
 {
  colorBox.style.background = "rgb("+r+","+g+","+b+")";
  colorHex.value=toHex(r)+""+toHex(g)+""+toHex(b)+"";
  Rcol.value=r;
  Gcol.value=g;
  Bcol.value=b;
  Rr.style.left = r;
  Gg.style.left = g;
  Bb.style.left = b;
  R.style.background = 'rgb('+r+',0,0)';
  G.style.background = 'rgb(0,'+g+',0)';
  B.style.background = 'rgb(0,0,'+b+')';
 }

function grabColor()
 {
  what=document.getElementById('colorHex');
  window.parent.returnValue = "#" + what.value;
  window.close();
 }
	
document.onmousemove = slideDo;
document.onmousedown = slideGet;
document.onmouseup   = slideDrop;


function setInit()
{

	try
	{
		dialogHeight="630px";
		dialogWidth="300px";

		sColors = window.dialogArguments;
		sColors = sColors.slice(1); //remove #
		if(sColors)
		{
			r = sColors.slice(0,2);
			g = sColors.slice(2,4);
			b = sColors.slice(4,6);
			
			r = toDec(r);
			g = toDec(g);
			b = toDec(b);
			showColors(r,g,b);
		}
	}
	catch(ex)
	{}
}

//-->
</script>

</head>

<body onload="setInit()">


<center>

<table >
<tr><td colspan="2" class="pallet"><img id="colors" onmousemove="calculateRGBval()" onmousedown="calculateRGBval()" src="img/color.jpg" height="200" width="265" ondragstart="return false;"></td></tr>
<tr><td colspan="2" class="pallet"><img id="grey" onmousemove="calculateRGBval()" onmousedown="calculateRGBval()" src="img/greyscale.jpg" height="20" width="265" ondragstart="return false;"></td></tr>
<tr><td colspan="5"><span id="colorBox" class="colBox"></span></td></tr>
<tr><td>
<span id="R" type="horizontal" class="bar" style="height:10;width:265;">
 <span id="Rr" type="drag" class="slider" style="height:8;width:8;" onselectstart="return false;"></span>
</span><br>
<span id="G" type="horizontal" class="bar" style="height:10;width:265;">
 <span id="Gg" type="drag" class="slider" style="height:8;width:8;" onselectstart="return false;"></span>
</span><br>
<span id="B" type="horizontal" class="bar" style="height:10;width:265;">
 <span id="Bb" type="drag" class="slider" style="height:8;width:8;" onselectstart="return false;"></span>
</span><br>
</td></tr>
<tr><td>RGB:&nbsp;&nbsp;</td><td align="left">
<input id="Rcol" type="text"  value="0" style="width: 51px" >
<input id="Gcol" type="text"  value="0" style="width: 51px" >
<input id="Bcol" type="text"  value="0" style="width: 51px" >
</td></tr>
<tr><td>HEX:&nbsp;&nbsp;</td><td align="left">
#<input id="colorHex" type="text" size="8" value="000000">
</td></tr>
<tr><td colspan="5" align="center">
<input type="button" value="OK" onclick="this.blur();grabColor()" style="width: 138px; height: 53px;">
</td></tr>
</table>
</center>

<br><br>

<input type="hidden" name="colorVal">

</body>
</html>

