<%@ page language="C#" autoeventwireup="true" inherits="PageBuilderMy, App_Web_-viuypjm" validaterequest="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
<style type="text/css">
body
{
padding:0;
margin:0;
}
</style>

<title>wysiwyg editor</title>

<script language="JavaScript" type="text/javascript">

function __doPostBack(eventTarget, eventArgument)
{
	var theForm = document.forms['form1'];
	if (!theForm) 
	{
	    theForm = document.aspnetForm;
	}
    if (!theForm.onsubmit || (theForm.onsubmit() != false)) 
    {
        theForm.submit();
    }
}

function initialize()
{
	IMF_HelperFilesPath = '';
	IMF_HelperFilesParameters = '';
	WysiwygEditor_Initialize(WysiwygEditor_editor,document.getElementById('WysiwygEditor')); 
	WysiwygEditor_HtmlMode = false;
	WysiwygEditor_HasFocus = false;
	WysiwygEditor_editor.document.onkeydown = IMF_WysiwygEditor_onKeyDown_ParagraphBreak;

	try
	{
		var result = "";
		var width = 0;
		var height = 0;
		result = document.URL.match(/(width=)([0-9]+)/);
		if(result[1] == "width=")
		{
			width = result[2];
		}
		result = document.URL.match(/(height=)([0-9]+)/);
		if(result[1] == "height=")
		{
			height = result[2];
		}
		height = parseInt(height);
		if(height > (window.screen.height - 50))
		{
			height = window.screen.height - 50;
		}
		gd = document.getElementById("WysiwygEditor_Toolbar");
		tab = gd.parentElement.parentElement.parentElement.parentElement;
		tab.style.height = height - 170;
		window.resizeTo(width, height);
		
		window.opener.navigate( window.opener.location );
		
		window.focus();
		
	}
	catch(e)
	{
		
	}
	
}


function WysiwygEditor_Initialize(editor,hiddenHtml) {
	editor.document.designMode = 'On';
	editor.document.open();
	editor.document.write(hiddenHtml.value);
	editor.document.close();
	editor.document.body.contentEditable = 'True';	
	WysiwygEditor_ApplyEditorStyles(editor);
}
function WysiwygEditor_ApplyEditorStyles(editor) {
	bs = editor.document.body.style;
	bs.scrollbar3dLightColor= '#D4D0C8';
	bs.scrollbarArrowColor= '#000000';
	bs.scrollbarBaseColor= '#D4D0C8';
	bs.scrollbarDarkShadowColor= '#D4D0C8';
	bs.scrollbarFaceColor= '#D4D0C8';
	bs.scrollbarHighlightColor= '#808080';
	bs.scrollbarShadowColor= '#808080';
	bs.scrollbarTrackColor= '#D4D0C8';
	bs.border='0';
}
function WysiwygEditor_ChangeMode(editor,tempframe,toolbarname,goToHtmlMode,autohide) {
	var toolbar = document.getElementById(toolbarname);
	var sTmp;
	if (goToHtmlMode) {
		sTmp=editor.document.body.innerHTML;				

		editor.document.body.style.fontFamily = 'Courier New, Courier New';
		editor.document.body.style.fontSize = '10pt';
		if (toolbar != null && autohide) {
			toolbar.style.display = 'none';
		}
		editor.document.body.innerText=sTmp;
		return true;
	} else {
		// go to Design Mode
		sTmp=editor.document.body.innerText;
		editor.document.body.style.fontFamily = '';
		editor.document.body.style.fontSize = '';
		if (toolbar != null && autohide) {
			toolbar.style.display = 'inline';
		}
		editor.document.body.innerHTML=sTmp;				
		WysiwygEditor_ApplyEditorStyles(editor);
		editor.focus(); 
		return true;
	}
}

// *******************************************
// Universal Editor Functions
// *******************************************
function IMF_CopyHtmlToHidden(editor,hiddenHtml,htmlmode) {
	if (htmlmode) {
		hiddenHtml.value = editor.document.body.innerText;  
	} else {
		hiddenHtml.value = editor.document.body.innerHTML;  
	}
	if (hiddenHtml.value == '<P>&nbsp;</P>') {
		hiddenHtml.value = '';
	}
}
function IMF_Format(editor,htmlmode,format) {
	if (htmlmode) return; 
	editor.focus();
	editor.document.execCommand(format,'',null);
}	
function IMF_CheckTag(item,tagName) {
	if (item.tagName.search(tagName)!=-1) {
		return item;
	}
	if (item.tagName=='BODY') {
		return false;
	}
	item=item.parentElement;
	return IMF_CheckTag(item,tagName);
}
function IMF_CharBefore(sel) {
	if (sel.move('character',-1) == -1) {
		sel.expand('character');
		return sel.text;
	} else {
		return 'start';
	}
}
function IMF_CharAfter(sel) {
	var sel2 = sel;
	if (sel.expand('character')) {
		sel2.move('character',1);
		sel2.expand('character');
		return sel2.text;
	} else {
		return 'end';
	}
}
function IMF_CharBefore(r) {
	if (r.move('character',-1) == -1) {
		r.expand('character');
		return r.text;
	} else {
		return 'start';
	}
}
function IMF_CharAfter(r) {
	var r2 = r;
	if (r.expand('character')) {
		r2.move('character',1);
		r2.expand('character');
		return r2.text;
	} else {
		return 'end';
	}
}
function IMF_GetRangeReference(editor) {
	editor.focus();
	var objReference = null;
	var RangeType = editor.document.selection.type;
	var selectedRange = editor.document.selection.createRange();

	switch(RangeType) {
		case 'Control' :
			if (selectedRange.length > 0 )  {
				objReference = selectedRange.item(0);
			}
			break;

		case 'None' :
			objReference = selectedRange.parentElement();
			break;

		case 'Text' :
			objReference = selectedRange.parentElement();
			break;
	}
	return objReference
}


// ********************************************
// Style Functions
// ********************************************
function IMF_SetButtonStyle(buttonTD,style,checkstyle) {
	if (buttonTD == null) return;
	if (buttonTD.className != checkstyle)
		buttonTD.className = style;
}
function IMF_GetClassSubName(className) {
	underscore = className.indexOf("_");
	if (underscore < 0) return className;
	return className.substring(underscore+1);
}
function IMF_ButtonOver(theTD,editorname,imageOver,imageDown) {
	IMF_SetButtonStyle(theTD,editorname+'_ButtonOver',null);
	if(theTD.children.length && theTD.children[0].tagName == "IMG" && imageOver){
		oldSrc = theTD.children[0].src;
		if (oldSrc.indexOf('.over.') == -1) {
			theTD.children[0].src=oldSrc.substring(0, oldSrc.length-4) + ".over.gif";
		}
	}
}
function IMF_ButtonOut(theTD,editorname,imageOver,imageDown) {
	IMF_SetButtonStyle(theTD,editorname+'_ButtonNormal',null);
	document.body.style.cursor = 'default';
	if(theTD.children.length && theTD.children[0].tagName == "IMG"){
		oldSrc = theTD.children[0].src;
		if (oldSrc.indexOf('.over.') > 0) {
			theTD.children[0].src=oldSrc.substring(0, oldSrc.length-9) + ".gif";
		}
		if (oldSrc.indexOf('.down.') > 0) {
			theTD.children[0].src=oldSrc.substring(0, oldSrc.length-9) + ".gif";
		}
	}
}
function IMF_ButtonDown(theTD,editorname,imageOver,imageDown) {
	document.body.style.cursor = 'default';
	IMF_SetButtonStyle(theTD,editorname+'_ButtonDown',null);
	if(theTD.children.length && theTD.children[0].tagName == "IMG" && imageDown == 1){
		oldSrc = theTD.children[0].src;
		if (oldSrc.indexOf('.over.') > 0) {
			theTD.children[0].src=oldSrc.substring(0, oldSrc.length-9) + ".down.gif";
		}
	}
}
function IMF_ButtonUp(theTD,editorname,imageOver,imageDown) {
	document.body.style.cursor = 'auto';
	IMF_SetButtonStyle(theTD,editorname+'_ButtonDown',null);
	if(theTD.children.length && theTD.children[0].tagName == "IMG" && imageOver == 1){
		oldSrc = theTD.children[0].src;
		if (oldSrc.indexOf('.over.') == -1) {
			theTD.children[0].src=oldSrc.substring(0, oldSrc.length-4) + ".over.gif";
		}
	}
}
function IMF_SetActiveTab(theTD,editorname) {
	parentTR = theTD.parentElement;
	selectedTab = 1;
	totalButtons = parentTR.cells.length-1;
	for (var i=1;i< totalButtons;i++) {
		parentTR.cells[i].className = editorname + "_TabOffRight";
		if (theTD == parentTR.cells[i]) { selectedTab = i; }

	}

	if (selectedTab==1) {
		parentTR.cells[0].className = editorname + "_StartTabOn";
	} else {
		parentTR.cells[0].className = editorname + "_StartTabOff";
		parentTR.cells[selectedTab-1].className = editorname + "_TabOffLeft";
	}

	theTD.className = editorname + "_TabOn";
}
function IMF_TabOver() {
	document.body.style.cursor='default';
}
function IMF_TabOut() {
	document.body.style.cursor='auto';
}




function IMF_WysiwygEditor_onKeyDown_ParagraphBreak() {
	editor = WysiwygEditor_editor;
	var _TAB = 9;
	var _ENTER = 13;
	var _QUOTE = 222;
	var _OPENCURLY = '&#8220;';
	var _CLOSECURLY = '&#8221;';
	
	if (editor.event.keyCode == _TAB && editor.event.ctrlKey) {
		//HtmlMode to DesignMode (Ctrl+TAB)
		if (WysiwygEditor_HtmlMode && editor.event.keyCode == _TAB && editor.event.ctrlKey) {
			IMF_SetActiveTab(document.getElementById('WysiwygEditor_DesignModeTab'));
			WysiwygEditor_ChangeMode(editor,document.getElementById('WysiwygEditor_TempFrame'),'WysiwygEditor_Toolbar',false,false);
		}
		//DesignMode to HtmlMode (Ctrl+TAB)
		if (!WysiwygEditor_HtmlMode && editor.event.keyCode == _TAB && editor.event.ctrlKey) {
			IMF_SetActiveTab(document.getElementById('WysiwygEditor_HtmlModeTab'));
			WysiwygEditor_ChangeMode(editor,document.getElementById('WysiwygEditor_TempFrame'),'WysiwygEditor_Toolbar',true,false);
		}
		WysiwygEditor_HtmlMode = !WysiwygEditor_HtmlMode;
	}
	if (editor.event.keyCode == _QUOTE && editor.event.shiftKey && !WysiwygEditor_HtmlMode) {
		var sel = editor.document.selection;
		if (sel.type == 'Control') return;
		var r = sel.createRange();
		var before = IMF_CharBefore(r);
		var after = IMF_CharAfter(r);
		var r = sel.createRange();

		if (before == 'start') {
			r.pasteHTML(_OPENCURLY);
			editor.event.cancelBubble = true;
			editor.event.returnValue = false;
			return false;
		} else if (before != ' ' && after == 'end') {
			r.pasteHTML(_CLOSECURLY);
			editor.event.cancelBubble = true;
			editor.event.returnValue = false;
			return false;
		} else if (before == ' ' && after == 'end') {
			r.pasteHTML(_OPENCURLY);
			editor.event.cancelBubble = true;
			editor.event.returnValue = false;
			return false;
		} else if (before != ' ' && after == ' ') {
			r.pasteHTML(_CLOSECURLY);
			editor.event.cancelBubble = true;
			editor.event.returnValue = false;
			return false;
		} else {
			r.pasteHTML(_OPENCURLY);
			editor.event.cancelBubble = true;
			editor.event.returnValue = false;
			return false;
		}
	}

	if (editor.event.keyCode == _TAB) {
		editor.event.cancelBubble = true;
		editor.event.returnValue = false;
	}
	
	//check for Ctrl pressed.  Ctrl+Tab == switch modes.  Ctrl+Enter = <br>
	if ((WysiwygEditor_HtmlMode && editor.event.keyCode == _ENTER) || (!WysiwygEditor_HtmlMode && editor.event.ctrlKey && editor.event.keyCode == _ENTER)) {
		var sel = editor.document.selection;
		if (sel.type == 'Control') {
			return;
		}
		var r = sel.createRange();
		if ((!IMF_CheckTag(r.parentElement(),'LI'))&&(!IMF_CheckTag(r.parentElement(),'H'))) {
			r.pasteHTML('<br>');
			editor.event.cancelBubble = true; 
			editor.event.returnValue = false; 
			r.select();
			r.collapse(false);
			return false;
		}
	}
}

function IMF_SetParagraph(editor,htmlmode,name,value) {
	if (htmlmode) return;
	editor.focus();
	if (value == '<body>') {
		editor.document.execCommand('formatBlock','','Normal');
		editor.document.execCommand('removeFormat');
		return;
	}
	editor.document.execCommand('formatBlock','',value);
}

function IMF_SetFontFace(editor,htmlmode,name,value) {
	if (htmlmode) return;
	editor.focus();
	editor.document.execCommand('fontname','',value);
}

function IMF_SetFontSize(editor,htmlmode,name,value) {
	if (htmlmode) return;
	editor.focus();
	editor.document.execCommand('fontsize','',value);
}

function IMF_SetFontForeColor(editor,htmlmode,name,value) {
	if (htmlmode) return;
	editor.focus();
	editor.document.execCommand('forecolor','',value);
}

function IMF_ForeColorPicker(editor,htmlmode) {
	if (htmlmode) return;
	script = IMF_HelperFilesPath + 'admin/imf.colorpicker.aspx';
	if (IMF_HelperFilesParameters != '') script += '?' + IMF_HelperFilesParameters;
	color = showModalDialog(script,'#ffffff','"dialogWidth:300px;dialogHeight:600px;resizable:no;scroll:no;status:no;center:yes"');
	editor.document.execCommand('forecolor','',color);
}

function IMF_SetFontBackColor(editor,htmlmode,name,value) {
	if (htmlmode) return;
	editor.focus();
	editor.document.execCommand('backcolor','',value);
}

function IMF_BackColorPicker(editor,htmlmode) {
	if (htmlmode) return;
	script = IMF_HelperFilesPath + 'admin/imf.colorpicker.aspx';
	if (IMF_HelperFilesParameters != '') script += '?' + IMF_HelperFilesParameters;
	color = showModalDialog(script,'#ffffff','"dialogWidth:300px;dialogHeight:600px;resizable:no;scroll:no;status:no;center:yes;"');
	editor.document.execCommand('backcolor','',color);
}

function IMF_Bold(editor,htmlmode) { 
	IMF_Format(editor,htmlmode,'bold'); 
}

function IMF_Italic(editor,htmlmode) { 
	IMF_Format(editor,htmlmode,'italic'); 
}

function IMF_Underline(editor,htmlmode) { 
	IMF_Format(editor,htmlmode,'underline'); 
}

function IMF_Strikethrough(editor,htmlmode) { 
	IMF_Format(editor,htmlmode,'strikethrough'); 
}

function IMF_Superscript(editor,htmlmode) { 
	IMF_Format(editor,htmlmode,'superscript'); 
}

function IMF_Subscript(editor,htmlmode) { 
	IMF_Format(editor,htmlmode,'subscript'); 
}

function IMF_InsertImageFromGallery_WysiwygEditor(editor,htmlmode) {
	if (htmlmode) return;
	editor.focus();

	obj = IMF_GetRangeReference(editor);
	if (obj.tagName == 'IMG') {
		editor.document.execCommand('insertimage',1,'');
		return;
	}

	var folder = 'images';
	var galleryscript = IMF_HelperFilesPath + 'admin/imf.imagegallery.aspx?rif='+folder+'&cif='+folder;
	if (IMF_HelperFilesParameters != '') galleryscript += '&' + IMF_HelperFilesParameters;
	imgArr = showModalDialog(galleryscript,window,'dialogWidth:560px; dialogHeight:500px;help:0;status:0;resizeable:1;');

	if (imgArr != null) {
		imagestring = '<IMG SRC="' + imgArr['filename'] + '" HEIGHT=' + imgArr['height'] + ' WIDTH=' + imgArr['width'] + ' BORDER=0>';
		sel = editor.document.selection.createRange();
		sel.pasteHTML(imagestring);
	} else {
		//alert("You did not select an image");
	}
}

function IMF_CreateLink(editor,htmlmode) {
	if (htmlmode) return;
	editor.focus();
    editor.document.execCommand('createlink','1',null);
}

function IMF_Unlink(editor,htmlmode) {
	if (htmlmode) return;
	editor.focus();
    editor.document.execCommand('unlink','1',null);
}

function IMF_RemoveFormat(editor,htmlmode) { 
	IMF_Format(editor,htmlmode,'removeFormat'); 
}

function IMF_JustifyLeft(editor,htmlmode) { 
	IMF_Format(editor,htmlmode,'justifyleft'); 
}

function IMF_JustifyRight(editor,htmlmode) { 
	IMF_Format(editor,htmlmode,'justifyright'); 
}

function IMF_JustifyCenter(editor,htmlmode) { 
	IMF_Format(editor,htmlmode,'justifycenter'); 
}

function IMF_JustifyFull(editor,htmlmode) { 
	IMF_Format(editor,htmlmode,'justifyfull'); 
}

function IMF_BulletedList(editor,htmlmode) { 
	IMF_Format(editor,htmlmode,'insertunorderedlist'); 
}

function IMF_NumberedList(editor,htmlmode) { 
	IMF_Format(editor,htmlmode,'insertorderedlist'); 
}

function IMF_Indent(editor,htmlmode) { 
	IMF_Format(editor,htmlmode,'indent'); 
}

function IMF_Outdent(editor,htmlmode) { 
	IMF_Format(editor,htmlmode,'outdent'); 
}

function IMF_Cut(editor,htmlmode) {
	editor.focus();
	editor.document.execCommand('cut','',null);
}

function IMF_Copy(editor,htmlmode) {
	editor.focus();
	editor.document.execCommand('copy','',null);
}

function IMF_Paste(editor,htmlmode) {
	editor.focus();
	editor.document.execCommand('paste','',null);
}

function IMF_Delete(editor,htmlmode) {
	if (confirm('Do you want to delete all the HTML and text presently in the editor?')) {	
		editor.document.body.innerHTML = '';
		editor.document.body.innerText = '';
	}
	editor.focus();
}

function IMF_Undo(editor,htmlmode) {
	editor.focus();
	editor.document.execCommand('undo','',null);
}

function IMF_Redo(editor,htmlmode) {
	editor.focus();
 	editor.document.execCommand('redo','',null);
}

function IMF_Print(editor,htmlmode) { 
	editor.document.execCommand('print','',null); 
}

function IMF_Save_WysiwygEditor(editor,htmlmode) { 
	IMF_CopyHtmlToHidden(editor,document.getElementById('WysiwygEditor'),htmlmode);	
	__doPostBack('WysiwygEditor','Save')
}

function IMF_ieSpellCheck(editor,htmlmode) {
    if (htmlmode) return;
	try {
		var tspell = new ActiveXObject('ieSpell.ieSpellExtension');
		tspell.CheckAllLinkedDocuments(window.document);
	} catch (err){
		if (window.confirm('You need ieSpell to use spell check. Would you like to install it?')){window.open('http://www.iespell.com/download.php');};
	};
}

function IMF_SetStyle(editor,htmlmode,name,value) {
	if (htmlmode) return;
	if (value != '') {
		editor.focus();
		editor.document.execCommand('removeFormat');
		editor.document.execCommand('formatBlock','','Normal');
		sel = editor.document.selection.createRange();
		html = '<span class=\'' + value + '\'>' + sel.htmlText + '</span>';
		sel.pasteHTML(html);
	}
}

function IMF_InsertSymbol(editor,htmlmode,name,value) {
	if (htmlmode) return;
	editor.focus();
	sel = editor.document.selection.createRange();
	sel.pasteHTML(value);
}

function IMF_InsertHtml(editor,htmlmode,name,value) {
	if (htmlmode) return;
	editor.focus();
	sel = editor.document.selection.createRange();
	sel.pasteHTML(value);
}

function IMF_InsertRule(editor,htmlmode) { 
	IMF_Format(editor,htmlmode,'inserthorizontalrule'); 
}

function IMF_InsertDate(editor,htmlmode) {
	editor.focus();
	var d = new Date();
	sel = editor.document.selection.createRange();
	sel.pasteHTML(d.toLocaleDateString());
}

function IMF_InsertTime(editor,htmlmode) {
	editor.focus();
	var d = new Date();
	sel = editor.document.selection.createRange();
	sel.pasteHTML(d.toLocaleTimeString());
}

function IMF_WordCount(editor,htmlmode) {
    if (htmlmode) return;
    var iSumWords = 0;
    var rng = editor.document.body.createTextRange();
    rng.collapse(true);
    while(rng.move("word",1)) {
	    iSumWords++;
    }
    alert("Approximately  " + iSumWords + " word(s)");
}



img_office2003_ButtonOverImage = new Image();
img_office2003_ButtonOverImage.src = "admin/img/wysiwyg/office2003/toolbarbutton.over.gif";
img_office2003_ButtonDownImage = new Image();
img_office2003_ButtonDownImage.src = "admin/img/wysiwyg/office2003/toolbarbutton.down.gif";
img_office2003_fontforecolorpicker = new Image();
img_office2003_fontforecolorpicker.src = "admin/img/wysiwyg/office2003/fontforecolorpicker.gif";
img_office2003_fontbackcolorpicker = new Image();
img_office2003_fontbackcolorpicker.src = "admin/img/wysiwyg/office2003/fontbackcolorpicker.gif";
img_office2003_bold = new Image();
img_office2003_bold.src = "admin/img/wysiwyg/office2003/bold.gif";
img_office2003_italic = new Image();
img_office2003_italic.src = "admin/img/wysiwyg/office2003/italic.gif";
img_office2003_underline = new Image();
img_office2003_underline.src = "admin/img/wysiwyg/office2003/underline.gif";
img_office2003_strikethrough = new Image();
img_office2003_strikethrough.src = "admin/img/wysiwyg/office2003/strikethrough.gif";
img_office2003_superscript = new Image();
img_office2003_superscript.src = "admin/img/wysiwyg/office2003/superscript.gif";
img_office2003_subscript = new Image();
img_office2003_subscript.src = "admin/img/wysiwyg/office2003/subscript.gif";
img_office2003_insertimagefromgallery = new Image();
img_office2003_insertimagefromgallery.src = "admin/img/wysiwyg/office2003/insertimagefromgallery.gif";
img_office2003_createlink = new Image();
img_office2003_createlink.src = "admin/img/wysiwyg/office2003/createlink.gif";
img_office2003_unlink = new Image();
img_office2003_unlink.src = "admin/img/wysiwyg/office2003/unlink.gif";
img_office2003_removeformat = new Image();
img_office2003_removeformat.src = "admin/img/wysiwyg/office2003/removeformat.gif";
img_office2003_justifyleft = new Image();
img_office2003_justifyleft.src = "admin/img/wysiwyg/office2003/justifyleft.gif";
img_office2003_justifyright = new Image();
img_office2003_justifyright.src = "admin/img/wysiwyg/office2003/justifyright.gif";
img_office2003_justifycenter = new Image();
img_office2003_justifycenter.src = "admin/img/wysiwyg/office2003/justifycenter.gif";
img_office2003_justifyfull = new Image();
img_office2003_justifyfull.src = "admin/img/wysiwyg/office2003/justifyfull.gif";
img_office2003_bullets = new Image();
img_office2003_bullets.src = "admin/img/wysiwyg/office2003/bullets.gif";
img_office2003_numberedlist = new Image();
img_office2003_numberedlist.src = "admin/img/wysiwyg/office2003/numberedlist.gif";
img_office2003_indent = new Image();
img_office2003_indent.src = "admin/img/wysiwyg/office2003/indent.gif";
img_office2003_outdent = new Image();
img_office2003_outdent.src = "admin/img/wysiwyg/office2003/outdent.gif";
img_office2003_cut = new Image();
img_office2003_cut.src = "admin/img/wysiwyg/office2003/cut.gif";
img_office2003_copy = new Image();
img_office2003_copy.src = "admin/img/wysiwyg/office2003/copy.gif";
img_office2003_paste = new Image();
img_office2003_paste.src = "admin/img/wysiwyg/office2003/paste.gif";
img_office2003_delete = new Image();
img_office2003_delete.src = "admin/img/wysiwyg/office2003/delete.gif";
img_office2003_undo = new Image();
img_office2003_undo.src = "admin/img/wysiwyg/office2003/undo.gif";
img_office2003_redo = new Image();
img_office2003_redo.src = "admin/img/wysiwyg/office2003/redo.gif";
img_office2003_print = new Image();
img_office2003_print.src = "admin/img/wysiwyg/office2003/print.gif";
img_office2003_Save = new Image();
img_office2003_Save.src = "admin/img/wysiwyg/office2003/save.gif";
img_office2003_SpellCheck = new Image();
img_office2003_SpellCheck.src = "admin/img/wysiwyg/office2003/spellcheck.gif";
img_office2003_insertrule = new Image();
img_office2003_insertrule.src = "admin/img/wysiwyg/office2003/insertrule.gif";
img_office2003_insertdate = new Image();
img_office2003_insertdate.src = "admin/img/wysiwyg/office2003/insertdate.gif";
img_office2003_inserttime = new Image();
img_office2003_inserttime.src = "admin/img/wysiwyg/office2003/inserttime.gif";
img_office2003_wordcount = new Image();
img_office2003_wordcount.src = "admin/img/wysiwyg/office2003/wordcount.gif";

</script>

<style>

div.IMF_StatusBar {
	text-align: left;
	padding:1px;
	width:100px; 
	height: 100%;
	border:1 solid #808080;
	font: 8pt MS Sans Serif;
}
select.IMF_Select {
	font: 10pt Arial;
}

td.WysiwygEditor_StartTabOn {
	font: 10pt MS Sans Serif;
	padding:1px;
	border-left: 1 solid #81A9E2;
	border-right: 1 solid #FFFFFF;
	border-top: 1 solid #808080;
	border-bottom: 1 solid #81A9E2;
	background-color: #81A9E2;
}
td.WysiwygEditor_StartTabOff {
	font: 10pt MS Sans Serif;
	padding:1px;
	border-left: 1 solid #81A9E2;
	border-right: 1 solid #808080;
	border-top: 1 solid #808080;
	border-bottom: 1 solid #81A9E2;
	background-color: #81A9E2;
}
td.WysiwygEditor_TabOn {
	font: 8pt MS Sans Serif;
	padding:1px;
	padding-left:5px;
	padding-right:5px;
	border-left: 1 solid #FFFFFF;
	border-right: 1 solid #808080;
	border-top: 1 solid #9EBEF5;
	border-bottom: 1 solid #808080;
	background-color: #9EBEF5;
}
td.WysiwygEditor_TabOffRight {
	font: 8pt MS Sans Serif;
	padding:1px;
	padding-left:5px;
	padding-right:5px;
	border-left: 1 solid #808080;
	border-right: 1 solid #808080;
	border-top: 1 solid #808080;
	border-bottom: 1 solid #81A9E2;
	background-color: #81A9E2;
}
td.WysiwygEditor_TabOffLeft {
	font: 8pt MS Sans Serif;
	padding:1px;
	padding-left:5px;
	padding-right:5px;
	border-left: 1 solid #808080;
	border-right: 1 solid #FFFFFF;
	border-top: 1 solid #808080;
	border-bottom: 1 solid #9EBEF5;
	background-color: #81A9E2;
}
td.WysiwygEditor_EndTab {
	font: 10pt MS Sans Serif;
	width: 100%;
	padding:1px;
	border-left: 1 solid #81A9E2;
	border-right: 1 solid #81A9E2;
	border-top: 1 solid #808080;
	border-bottom: 1 solid #81A9E2;
	background-color: #81A9E2;
}
td.WysiwygEditor_None {
}
td.WysiwygEditor_ButtonNormal {
	padding: 1px;
	
	font-family: MS Sans Serif;
	font-size: 10pt;
}
td.WysiwygEditor_ButtonOver {
	border-top: 1 solid #000080;	
	border-left: 1 solid #000080;
	border-right: 1 solid #000080;
	border-bottom: 1 solid #000080;
	background-image: url( admin/img/wysiwyg/office2003/toolbarbutton.over.gif);
	font-family: MS Sans Serif;
	font-size: 10pt;
}
td.WysiwygEditor_ButtonDown {
	border-top: 1 solid #000080;	
	border-left: 1 solid #000080;
	border-right: 1 solid #000080;
	border-bottom: 1 solid #000080;
	background-image: url( admin/img/wysiwyg/office2003/toolbarbutton.down.gif);
	font-family: MS Sans Serif;
	font-size: 10pt;
}
div.WysiwygEditor_Toolbar {
	margin-bottom: 1px;
	margin-right: 2px;
	float: left;
	background-image: url(admin/img/wysiwyg/office2003/toolbar.background.gif);
}
iframe.WysiwygEditor_iframe {
	width:100%;
	height:100%;
	border-right: 1 solid #808080;
	border-left: 1 solid #808080;
	border-top: 1 solid #808080;
	border-bottom: 1 solid #808080;
	frameBorder: 0;
}
body.FTB {
	scrollbar-3dlight-color: #D4D0C8;
	scrollbar-arrow-color: #000000;
	scrollbar-base-color: #D4D0C8;
	scrollbar-darkshadow-color: #D4D0C8;
	scrollbar-face-color: ##D4D0C8;
	scrollbar-highlight-color: #808080;
	scrollbar-shadow-color: #808080;
	scrollbar-track-color: #D4D0C8;
}
</style>


</head>


<body onload="initialize()">
	
	<form id="form1" runat="server">
		<asp:HiddenField ID="WysiwygEditor" runat="server" Value="" OnValueChanged="WysiwygEditor_ValueChanged" />
	</form>
	
	<iframe  name="WysiwygEditor" id="WysiwygEditor_TempFrame" style="display:none;"></iframe><table style="background-color:#9EBEF5;width:100%;height:200px;" BORDER=0><TR><TD>
	<!-- Start Toolbar -->
	<table id="WysiwygEditor_Toolbar" border=0 cellpadding=0 cellspacing=0><TR><TD>
	
	<DIV ID="WysiwygEditor_Toolbar_Toolbar0" CLASS="WysiwygEditor_Toolbar">
		<TABLE border=0 cellpadding=0 cellspacing=0><TR>
		<TD><img src="admin/img/wysiwyg/office2003/toolbar.start.gif" border=0 unselectable="on"></TD>
		<TD>
		<table border=0 cellpadding=0 cellspacing=0 ><TR>
			<TD class="IMF_None" STYLE="padding-left:4px;width: 21px;" unselectable="on">
				<SELECT NAME="WysiwygEditor_ParagraphMenu" onChange="IMF_SetParagraph(WysiwygEditor_editor,WysiwygEditor_HtmlMode,this[this.selectedIndex].innerText,this[this.selectedIndex].value);this.selectedIndex=0;" CLASS="IMF_Select">
				<OPTION VALUE="">Paragraph</OPTION>
				<OPTION VALUE="<body>">Normal</OPTION>
				<OPTION VALUE="<h1>">Heading 1</OPTION>
				<OPTION VALUE="<h2>">Heading 2</OPTION>
				<OPTION VALUE="<h3>">Heading 3</OPTION>
				<OPTION VALUE="<h4>">Heading 4</OPTION>
				<OPTION VALUE="<h5>">Heading 5</OPTION>
				<OPTION VALUE="<h6>">Heading 6</OPTION>
				<OPTION VALUE="<pre>">Formatted</OPTION>
				<OPTION VALUE="<address>">Address</OPTION>
				</SELECT>
			</TD>
			<TD class="IMF_None" STYLE="padding-left:4px;width: 21px;" unselectable="on">
				<SELECT NAME="WysiwygEditor_FontFacesMenu" onChange="IMF_SetFontFace(WysiwygEditor_editor,WysiwygEditor_HtmlMode,this[this.selectedIndex].innerText,this[this.selectedIndex].value);this.selectedIndex=0;" CLASS="IMF_Select">
				<OPTION VALUE="">Font</OPTION>
				<OPTION VALUE="Arial">Arial</OPTION>
				<OPTION VALUE="Courier New">Courier New</OPTION>
				<OPTION VALUE="Garamond">Garamond</OPTION>
				<OPTION VALUE="Georgia">Georgia</OPTION>
				<OPTION VALUE="Tahoma">Tahoma</OPTION>
				<OPTION VALUE="Times New Roman">Times New Roman</OPTION>
				<OPTION VALUE="Verdana">Verdana</OPTION>
				</SELECT>
			</TD>
			<TD class="IMF_None" STYLE="padding-left:4px;width: 21px;" unselectable="on">
				<SELECT NAME="WysiwygEditor_FontSizesMenu" onChange="IMF_SetFontSize(WysiwygEditor_editor,WysiwygEditor_HtmlMode,this[this.selectedIndex].innerText,this[this.selectedIndex].value);this.selectedIndex=0;" CLASS="IMF_Select">
				<OPTION VALUE="">Size</OPTION>
				<OPTION VALUE="1">1</OPTION>
				<OPTION VALUE="2">2</OPTION>
				<OPTION VALUE="3">3</OPTION>
				<OPTION VALUE="4">4</OPTION>
				<OPTION VALUE="5">5</OPTION>
				<OPTION VALUE="6">6</OPTION>
				</SELECT>
			</TD>
		</tr></table>
		</TD>
		<TD><img src="admin/img/wysiwyg/office2003/toolbar.end.gif" border=0 unselectable="on"></TD>
		</TR></TABLE>
	</DIV>
	<DIV ID="WysiwygEditor_Toolbar_Toolbar1" CLASS="WysiwygEditor_Toolbar">
		<TABLE border=0 cellpadding=0 cellspacing=0><TR>
		<TD><img src="admin/img/wysiwyg/office2003/toolbar.start.gif" border=0 unselectable="on"></TD>
		<TD>
		<table border=0 cellpadding=0 cellspacing=0 ><TR>
			<TD class="IMF_None" STYLE="padding-left:4px;width: 21px;" unselectable="on">
				<SELECT NAME="WysiwygEditor_FontForeColorsMenu" onChange="IMF_SetFontForeColor(WysiwygEditor_editor,WysiwygEditor_HtmlMode,this[this.selectedIndex].innerText,this[this.selectedIndex].value);this.selectedIndex=0;" CLASS="IMF_Select">
				<OPTION VALUE="">Color</OPTION>
				<OPTION VALUE="#000000" style="background-color: Black;color: #FFFFFF;">Black</OPTION>
				<OPTION VALUE="#808080" style="background-color: Gray;">Gray</OPTION>
				<OPTION VALUE="#A9A9A9" style="background-color: DarkGray;">DarkGray</OPTION>
				<OPTION VALUE="#D3D3D3" style="background-color: LightGrey;">LightGray</OPTION>
				<OPTION VALUE="#FFFFFF" style="background-color: White;">White</OPTION>
				<OPTION VALUE="#7FFFD4" style="background-color: Aquamarine;">Aquamarine</OPTION>
				<OPTION VALUE="#0000FF" style="background-color: Blue;">Blue</OPTION>
				<OPTION VALUE="#000080" style="background-color: Navy;color: #FFFFFF;">Navy</OPTION>
				<OPTION VALUE="#800080" style="background-color: Purple;color: #FFFFFF;">Purple</OPTION>
				<OPTION VALUE="#FF1493" style="background-color: DeepPink;">DeepPink</OPTION>
				<OPTION VALUE="#EE82EE" style="background-color: Violet;">Violet</OPTION>
				<OPTION VALUE="#FFC0CB" style="background-color: Pink;">Pink</OPTION>
				<OPTION VALUE="#006400" style="background-color: DarkGreen;color: #FFFFFF;">DarkGreen</OPTION>
				<OPTION VALUE="#008000" style="background-color: Green;color: #FFFFFF;">Green</OPTION>
				<OPTION VALUE="#9ACD32" style="background-color: YellowGreen;">YellowGreen</OPTION>
				<OPTION VALUE="#FFFF00" style="background-color: Yellow;">Yellow</OPTION>
				<OPTION VALUE="#FFA500" style="background-color: Orange;">Orange</OPTION>
				<OPTION VALUE="#FF0000" style="background-color: Red;">Red</OPTION>
				<OPTION VALUE="#A52A2A" style="background-color: Brown;">Brown</OPTION>
				<OPTION VALUE="#DEB887" style="background-color: BurlyWood;">BurlyWood</OPTION>
				<OPTION VALUE="#F5F5DC" style="background-color: Beige;">Beige</OPTION>
				</SELECT>
			</TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_ForeColorPicker(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/fontforecolorpicker.gif" ALT="Font Fore Color" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD class="IMF_None" STYLE="padding-left:4px;width: 21px;" unselectable="on">
				<SELECT NAME="WysiwygEditor_FontBackColorsMenu" onChange="IMF_SetFontBackColor(WysiwygEditor_editor,WysiwygEditor_HtmlMode,this[this.selectedIndex].innerText,this[this.selectedIndex].value);this.selectedIndex=0;" CLASS="IMF_Select">
				<OPTION VALUE="">Highlight</OPTION>
				<OPTION VALUE="#000000" style="background-color: Black;color: #FFFFFF;">Black</OPTION>
				<OPTION VALUE="#808080" style="background-color: Gray;">Gray</OPTION>
				<OPTION VALUE="#A9A9A9" style="background-color: DarkGray;">DarkGray</OPTION>
				<OPTION VALUE="#D3D3D3" style="background-color: LightGrey;">LightGray</OPTION>
				<OPTION VALUE="#FFFFFF" style="background-color: White;">White</OPTION>
				<OPTION VALUE="#7FFFD4" style="background-color: Aquamarine;">Aquamarine</OPTION>
				<OPTION VALUE="#0000FF" style="background-color: Blue;">Blue</OPTION>
				<OPTION VALUE="#000080" style="background-color: Navy;color: #FFFFFF;">Navy</OPTION>
				<OPTION VALUE="#800080" style="background-color: Purple;color: #FFFFFF;">Purple</OPTION>
				<OPTION VALUE="#FF1493" style="background-color: DeepPink;">DeepPink</OPTION>
				<OPTION VALUE="#EE82EE" style="background-color: Violet;">Violet</OPTION>
				<OPTION VALUE="#FFC0CB" style="background-color: Pink;">Pink</OPTION>
				<OPTION VALUE="#006400" style="background-color: DarkGreen;color: #FFFFFF;">DarkGreen</OPTION>
				<OPTION VALUE="#008000" style="background-color: Green;color: #FFFFFF;">Green</OPTION>
				<OPTION VALUE="#9ACD32" style="background-color: YellowGreen;">YellowGreen</OPTION>
				<OPTION VALUE="#FFFF00" style="background-color: Yellow;">Yellow</OPTION>
				<OPTION VALUE="#FFA500" style="background-color: Orange;">Orange</OPTION>
				<OPTION VALUE="#FF0000" style="background-color: Red;">Red</OPTION>
				<OPTION VALUE="#A52A2A" style="background-color: Brown;">Brown</OPTION>
				<OPTION VALUE="#DEB887" style="background-color: BurlyWood;">BurlyWood</OPTION>
				<OPTION VALUE="#F5F5DC" style="background-color: Beige;">Beige</OPTION>
				</SELECT>
			</TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_BackColorPicker(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/fontbackcolorpicker.gif" ALT="Font Back Color" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
		</tr></table>
		</TD>
		<TD><img src="admin/img/wysiwyg/office2003/toolbar.end.gif" border=0 unselectable="on"></TD>
		</TR></TABLE>
	</DIV>
	<DIV ID="WysiwygEditor_Toolbar_Toolbar2" CLASS="WysiwygEditor_Toolbar">
		<TABLE border=0 cellpadding=0 cellspacing=0><TR>
		<TD><img src="admin/img/wysiwyg/office2003/toolbar.start.gif" border=0 unselectable="on"></TD>
		<TD>
		<table border=0 cellpadding=0 cellspacing=0 ><TR>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_Bold(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/bold.gif" ALT="Bold" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_Italic(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/italic.gif" ALT="Italic" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_Underline(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/underline.gif" ALT="Underline" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_Strikethrough(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/strikethrough.gif" ALT="Strikethrough" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_Superscript(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/superscript.gif" ALT="Superscript" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_Subscript(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/subscript.gif" ALT="Subscript" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD class="WysiwygEditor_None"><IMG UNSELECTABLE="on" SRC="admin/img/wysiwyg/office2003/separator.gif" WIDTH=5 HEIGHT=20></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_InsertImageFromGallery_WysiwygEditor(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/insertimagefromgallery.gif" ALT="Insert Image" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_CreateLink(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/createlink.gif" ALT="Create Link" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_Unlink(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/unlink.gif" ALT="Un Link" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_RemoveFormat(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/removeformat.gif" ALT="Remove Font Formatting" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
		</tr></table>
		</TD>
		<TD><img src="admin/img/wysiwyg/office2003/toolbar.end.gif" border=0 unselectable="on"></TD>
		</TR></TABLE>
	</DIV>
	<DIV ID="WysiwygEditor_Toolbar_Toolbar3" CLASS="WysiwygEditor_Toolbar">
		<TABLE border=0 cellpadding=0 cellspacing=0><TR>
		<TD><img src="admin/img/wysiwyg/office2003/toolbar.start.gif" border=0 unselectable="on"></TD>
		<TD>
		<table border=0 cellpadding=0 cellspacing=0 ><TR>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_JustifyLeft(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/justifyleft.gif" ALT="Justify Left" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_JustifyRight(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/justifyright.gif" ALT="Justify Right" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_JustifyCenter(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/justifycenter.gif" ALT="Justify Center" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_JustifyFull(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/justifyfull.gif" ALT="Justify Full" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD class="WysiwygEditor_None"><IMG UNSELECTABLE="on" SRC="admin/img/wysiwyg/office2003/separator.gif" WIDTH=5 HEIGHT=20></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_BulletedList(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/bullets.gif" ALT="Bulleted List" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_NumberedList(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/numberedlist.gif" ALT="Numbered List" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_Indent(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/indent.gif" ALT="Indent" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_Outdent(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/outdent.gif" ALT="Outdent" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
		</tr></table>
		</TD>
		<TD><img src="admin/img/wysiwyg/office2003/toolbar.end.gif" border=0 unselectable="on"></TD>
		</TR></TABLE>
	</DIV>
	<DIV ID="WysiwygEditor_Toolbar_Toolbar4" CLASS="WysiwygEditor_Toolbar">
		<TABLE border=0 cellpadding=0 cellspacing=0><TR>
		<TD><img src="admin/img/wysiwyg/office2003/toolbar.start.gif" border=0 unselectable="on"></TD>
		<TD>
		<table border=0 cellpadding=0 cellspacing=0 ><TR>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_Cut(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/cut.gif" ALT="Cut" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_Copy(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/copy.gif" ALT="Copy" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_Paste(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/paste.gif" ALT="Paste" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_Delete(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/delete.gif" ALT="Delete All" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD class="WysiwygEditor_None"><IMG UNSELECTABLE="on" SRC="admin/img/wysiwyg/office2003/separator.gif" WIDTH=5 HEIGHT=20></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_Undo(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/undo.gif" ALT="Undo" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_Redo(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/redo.gif" ALT="Redo" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_Print(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/print.gif" ALT="Print" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_Save_WysiwygEditor(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/save.gif" ALT="Save" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_ieSpellCheck(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/spellcheck.gif" ALT="idSpellCheck" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
		</tr></table>
		</TD>
		<TD><img src="admin/img/wysiwyg/office2003/toolbar.end.gif" border=0 unselectable="on"></TD>
		</TR></TABLE>
	</DIV>
	<DIV ID="WysiwygEditor_Toolbar_Toolbar5" CLASS="WysiwygEditor_Toolbar">
		<TABLE border=0 cellpadding=0 cellspacing=0><TR>
		<TD><img src="admin/img/wysiwyg/office2003/toolbar.start.gif" border=0 unselectable="on"></TD>
		<TD>
		<table border=0 cellpadding=0 cellspacing=0 ><TR>
			<TD class="IMF_None" STYLE="padding-left:4px;width: 21px;" unselectable="on">
				<SELECT NAME="WysiwygEditor_StyleMenu" onChange="IMF_SetStyle(WysiwygEditor_editor,WysiwygEditor_HtmlMode,this[this.selectedIndex].innerText,this[this.selectedIndex].value);this.selectedIndex=0;" CLASS="IMF_Select">
				<OPTION VALUE="">Styles</OPTION>
				</SELECT>
			</TD>
			<TD class="IMF_None" STYLE="padding-left:4px;width: 21px;" unselectable="on">
				<SELECT NAME="WysiwygEditor_SymbolsMenu" onChange="IMF_InsertSymbol(WysiwygEditor_editor,WysiwygEditor_HtmlMode,this[this.selectedIndex].innerText,this[this.selectedIndex].value);this.selectedIndex=0;" CLASS="IMF_Select">
				<OPTION VALUE="">Symbols</OPTION>
				<OPTION VALUE="&amp;#162;">&#162;</OPTION>
				<OPTION VALUE="&amp;#163;">&#163;</OPTION>
				<OPTION VALUE="&amp;#165;">&#165;</OPTION>
				<OPTION VALUE="&amp;#167;">&#167;</OPTION>
				<OPTION VALUE="&amp;#191;">&#191;</OPTION>
				<OPTION VALUE="&amp;#161">&#161</OPTION>
				<OPTION VALUE="&amp;#169;">&#169;</OPTION>
				<OPTION VALUE="&amp;#174;">&#174;</OPTION>
				<OPTION VALUE="&amp;#8482;">&#8482;</OPTION>
				<OPTION VALUE="-">-</OPTION>
				<OPTION VALUE="&amp;#8211;">&#8211;</OPTION>
				<OPTION VALUE="&amp;#8212;">&#8212;</OPTION>
				<OPTION VALUE="&amp;#8216;">&#8216;</OPTION>
				<OPTION VALUE="&amp;#8217;">&#8217;</OPTION>
				<OPTION VALUE="&amp;#8220;">&#8220;</OPTION>
				<OPTION VALUE="&amp;#8221;">&#8221;</OPTION>
				<OPTION VALUE="&amp;#225;">&#225;</OPTION>
				<OPTION VALUE="&amp;#233;">&#233;</OPTION>
				<OPTION VALUE="&amp;#237;">&#237;</OPTION>
				<OPTION VALUE="&amp;#239;">&#239;</OPTION>
				<OPTION VALUE="&amp;#241;">&#241;</OPTION>
				<OPTION VALUE="&amp;#243;">&#243;</OPTION>
				<OPTION VALUE="&amp;#176;">&#176;</OPTION>
				<OPTION VALUE="&amp;#183;">&#183;</OPTION>
				<OPTION VALUE="&amp;#171;">&#171;</OPTION>
				<OPTION VALUE="&amp;#187;">&#187;</OPTION>
				<OPTION VALUE="&amp;#188;">&#188;</OPTION>
				<OPTION VALUE="&amp;#189;">&#189;</OPTION>
				<OPTION VALUE="&amp;#190;">&#190;</OPTION>
				<OPTION VALUE="&amp;#185;">&#185;</OPTION>
				<OPTION VALUE="&amp;#178;">&#178;</OPTION>
				<OPTION VALUE="&amp;#179;">&#179;</OPTION>
				<OPTION VALUE="&amp;#247;">&#247;</OPTION>
				<OPTION VALUE="&amp;#177;">&#177;</OPTION>
				<OPTION VALUE="&amp;#215;">&#215;</OPTION>
				</SELECT>
			</TD>
			<TD class="IMF_None" STYLE="padding-left:4px;width: 21px;" unselectable="on">
				<SELECT NAME="WysiwygEditor_InsertHtmlMenu" onChange="IMF_InsertHtml(WysiwygEditor_editor,WysiwygEditor_HtmlMode,this[this.selectedIndex].innerText,this[this.selectedIndex].value);this.selectedIndex=0;" CLASS="IMF_Select">
				<OPTION VALUE="">Insert HTML</OPTION>
				</SELECT>
			</TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_InsertRule(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/insertrule.gif" ALT="Insert Rule" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_InsertDate(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/insertdate.gif" ALT="Insert Date" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_InsertTime(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/inserttime.gif" ALT="Insert Time" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
			<TD NOWRAP class="WysiwygEditor_ButtonNormal" onClick="IMF_WordCount(WysiwygEditor_editor, WysiwygEditor_HtmlMode);"
			onMouseOver="IMF_ButtonOver(this,'WysiwygEditor',0,0);" 
			onMouseOut="IMF_ButtonOut(this,'WysiwygEditor',0,0);" 
			onMouseDown="IMF_ButtonDown(this,'WysiwygEditor',0,0);" 
			onMouseUp="IMF_ButtonUp(this,'WysiwygEditor',0,0);"><IMG UNSELECTABLE="on"  SRC="admin/img/wysiwyg/office2003/wordcount.gif" ALT="Word Count" WIDTH=21px HEIGHT=20px align=absmiddle></TD>
		</tr></table>
		</TD>
		<TD><img src="admin/img/wysiwyg/office2003/toolbar.end.gif" border=0 unselectable="on"></TD>
		</TR></TABLE>
	</DIV>
	</TD></TR></TABLE>
	</TD></TR><TR><TD HEIGHT="100%">
	<iframe  id="WysiwygEditor_editor" CLASS="WysiwygEditor_iframe" name="WysiwygEditor_editor" onBlur="IMF_CopyHtmlToHidden(WysiwygEditor_editor,document.getElementById('WysiwygEditor'),WysiwygEditor_HtmlMode);"></IFRAME>
	</TD></TR>
	<TR><TD>
	<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0 STYLE="border-collapse:collapse;">
		<TR ID="mainrow">
			<TD CLASS="WysiwygEditor_StartTabOn">
				&nbsp;
			</TD>
			<TD CLASS="WysiwygEditor_TabOn" ID="WysiwygEditor_DesignModeTab" onClick="if (WysiwygEditor_HtmlMode) { if (WysiwygEditor_ChangeMode(WysiwygEditor_editor,WysiwygEditor_TempFrame,'WysiwygEditor_Toolbar',false,false)) { IMF_SetActiveTab(this,'WysiwygEditor');WysiwygEditor_HtmlMode = !WysiwygEditor_HtmlMode;}}" onMouseOver="IMF_TabOver();" onMouseOut="IMF_TabOut();">
				<IMG unselectable="on" SRC="admin/img/wysiwyg/office2003/mode.design.gif" ALIGN="absmiddle" width=21 height=20>&nbsp;Design
			</TD>
			<TD CLASS="WysiwygEditor_TabOffRight" ID="WysiwygEditor_HtmlModeTab" onClick="if (!WysiwygEditor_HtmlMode) { if (WysiwygEditor_ChangeMode(WysiwygEditor_editor,WysiwygEditor_TempFrame,'WysiwygEditor_Toolbar',true,false)) { IMF_SetActiveTab(this,'WysiwygEditor'); WysiwygEditor_HtmlMode = !WysiwygEditor_HtmlMode;}}" unselectable="on" onMouseOver="IMF_TabOver();" onMouseOut="IMF_TabOut();">
				<IMG unselectable="on" SRC="admin/img/wysiwyg/office2003/mode.html.gif" ALIGN="absmiddle" width=21 height=20>&nbsp;HTML
			</TD>
			<TD CLASS="WysiwygEditor_EndTab" ALIGN=right>
			</TD>
		</TR>
	</TABLE>
	
	</TD></TR>	
	</TABLE>


</body>
</html>
